#
# spec file for package perl-Tk-Pod
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tk-Pod
Version:        0.9943
Release:        1.1
%define cpan_name Tk-Pod
Summary:        Pod browser toplevel widget
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tk-Pod/
Source0:        http://www.cpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Pod::Simple) >= 2.05
BuildRequires:  perl(Tk) >= 800.004
Requires:       perl(Pod::Simple) >= 2.05
Requires:       perl(Tk) >= 800.004
%{perl_requires}

%description
Simple Pod browser with hypertext capabilities in a 'Toplevel' widget

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README tkmore tkpod TODO

%changelog
* Sun Feb  7 2016 coolo@suse.com
- updated to 0.9943
  see /usr/share/doc/packages/perl-Tk-Pod/Changes
  version 0.9943
  o stable release with all changes in 0.9942_50
  version 0.9942_50
  o geo URI handled now by OpenStreetMap
  o WWWBrowser update
  o use POSIX::_exist instead of CORE::exit in forked processes
  to avoid core dumps with newer perls
  o more and better tests
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.9942
  see /usr/share/doc/packages/perl-Tk-Pod/Changes
* Sat Feb  1 2014 lars@linux-schulserver.de
- initial package 0.9942
